そういえば

http://d.hatena.ne.jp/yuichi_katahira/20070601/1180714707
Ruby1.8.6のTime#to_dateとRails1.1.6のActiveSupportのTime#to_dateがぶつかってしまうという問題もあったなあ。Ruby1.8.6とRails1.1.6の組み合わせは避けておくのが無難でしょうね。